#include <LiquidCrystal_I2C.h>

LiquidCrystal_I2C lcd(0x3F,2, 1, 0, 4, 5, 6, 7, 3, POSITIVE);  //to get display on lcd

const int input = 7; // timer generated wave as input, given to Arduino

//----variable declaration-------------
int HighInput;       // store high time of wave
int LowInput;        // store low time of wave
float TotalInput;    // to store total time duration between high and low pulse
float frequency;     

void setup()
{
    pinMode(input,INPUT);
    lcd.begin(16, 2);
    lcd.backlight();
    lcd.setCursor(0,0);
    lcd.print("Robo India");
    lcd.setCursor(0,1);
    lcd.print("Freq Counter");
    delay(2000);
}
void loop()
{
    lcd.clear();
    lcd.setCursor(0,0);
    lcd.print("Frequency:");
    lcd.setCursor(0,1);
    lcd.print(" ");
    
    HighInput = pulseIn(input,HIGH);
    LowInput = pulseIn(input,LOW);
    
    TotalInput = HighInput + LowInput; 
    frequency=1000000/TotalInput;      
    
    lcd.setCursor(0,1);
    lcd.print(frequency);
    lcd.print(" Hz");
    delay(500);
}
